aboutsummaryrefslogtreecommitdiff
path: root/net/www
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-09-03 03:50:43 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-09-03 03:50:43 +0000
commitdda36349496e0987f0ccf4f23929f7870ba11813 (patch)
tree1b469ee961c93e7f3565a52a6c50a0caba9afa9c /net/www
parentb1c576dfbc932afc7c1ecc09348df2dcc5ac3fc7 (diff)
downloadslackbuilds-dda36349496e0987f0ccf4f23929f7870ba11813.tar.gz
slackbuilds-dda36349496e0987f0ccf4f23929f7870ba11813.tar.bz2
merging with changes made since 21th May
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1903 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'net/www')
-rw-r--r--net/www/gnash/gnash-0.8.3.diff69
-rwxr-xr-xnet/www/gnash/gnash.SlackBuild61
-rw-r--r--net/www/gnash/slack-required6
-rwxr-xr-xnet/www/mplayerplug-in/mplayerplug-in.SlackBuild235
4 files changed, 260 insertions, 111 deletions
diff --git a/net/www/gnash/gnash-0.8.3.diff b/net/www/gnash/gnash-0.8.3.diff
new file mode 100644
index 00000000..7e9eb16d
--- /dev/null
+++ b/net/www/gnash/gnash-0.8.3.diff
@@ -0,0 +1,69 @@
+--- configure.old 2008-07-01 00:28:27.000000000 -0300
++++ configure 2008-07-01 00:34:13.000000000 -0300
+@@ -36489,38 +36489,38 @@
+ if test x"${nspr}" = x"yes"; then
+
+ # Check whether --with-nspr_lib was given.
+-if test "${with_nspr_lib+set}" = set; then
+- withval=$with_nspr_lib; with_nspr_lib=${withval}
+-fi
+-
+- if test "${ac_cv_path_nspr_lib+set}" = set; then
+- echo $ECHO_N "(cached) $ECHO_C" >&6
+-else
+-
+- if test x"${with_nspr_lib}" != x ; then
+- { echo "$as_me:$LINENO: checking for libnspr library in specified directory" >&5
+-echo $ECHO_N "checking for libnspr library in specified directory... $ECHO_C" >&6; }
+- if test -f ${with_nspr_lib}/lib$name.a -o -f ${with_nspr_lib}/lib$name.${shlibext}; then
+- tmp="`(cd ${with_nspr_lib}; pwd)`"
+- ac_cv_path_nspr_lib="-L${tmp} -l$name"
+- { echo "$as_me:$LINENO: result: yes" >&5
+-echo "${ECHO_T}yes" >&6; }
+- else
+- { { echo "$as_me:$LINENO: error: ${with_nspr_lib} directory doesn't contain library $name." >&5
+-echo "$as_me: error: ${with_nspr_lib} directory doesn't contain library $name." >&2;}
+- { (exit 1); exit 1; }; }
+- { echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6; }
+- fi
+- fi
+-
+-fi
+-
++#if test "${with_nspr_lib+set}" = set; then
++# withval=$with_nspr_lib; with_nspr_lib=${withval}
++#fi
++#
++# if test "${ac_cv_path_nspr_lib+set}" = set; then
++# echo $ECHO_N "(cached) $ECHO_C" >&6
++#else
++#
++# if test x"${with_nspr_lib}" != x ; then
++# { echo "$as_me:$LINENO: checking for libnspr library in specified directory" >&5
++#echo $ECHO_N "checking for libnspr library in specified directory... $ECHO_C" >&6; }
++# if test -f ${with_nspr_lib}/lib$name.a -o -f ${with_nspr_lib}/lib$name.${shlibext}; then
++# tmp="`(cd ${with_nspr_lib}; pwd)`"
++#
++# { echo "$as_me:$LINENO: result: yes" >&5
++#echo "${ECHO_T}yes" >&6; }
++# else
++# { { echo "$as_me:$LINENO: error: ${with_nspr_lib} directory doesn't contain library $name." >&5
++#echo "$as_me: error: ${with_nspr_lib} directory doesn't contain library $name." >&2;}
++# { (exit 1); exit 1; }; }
++# { echo "$as_me:$LINENO: result: no" >&5
++#echo "${ECHO_T}no" >&6; }
++# fi
++# fi#
++#
++#fi
++ ac_cv_path_nspr_lib="-L/usr/lib/seamonkey -lplds4 -lplc4 -lnspr4 -lpthread -ldl"
+
+ if test x$cross_compiling = xno; then
+ if test x"$PKG_CONFIG" != x -a x"${ac_cv_path_nspr_lib}" = x; then
+ $PKG_CONFIG --exists libDOWN && ac_cv_path_nspr_lib="`$PKG_CONFIG --libs-only-l libDOWN`"
+- $PKG_CONFIG --exists nspr && ac_cv_path_nspr_lib="`$PKG_CONFIG --libs-only-l nspr`"
++ $PKG_CONFIG --exists seamonkey-nspr && ac_cv_path_nspr_lib="`$PKG_CONFIG --libs-only-l seamonkey-nspr`"
+ $PKG_CONFIG --exists lib$name && ac_cv_path_nspr_lib="`$PKG_CONFIG --libs-only-l lib$name`"
+ $PKG_CONFIG --exists $name && ac_cv_path_nspr_lib="`$PKG_CONFIG --libs-only-l $name`"
+ { echo "$as_me:$LINENO: checking for libnspr library" >&5
diff --git a/net/www/gnash/gnash.SlackBuild b/net/www/gnash/gnash.SlackBuild
index 3809e9bb..dc62ae2f 100755
--- a/net/www/gnash/gnash.SlackBuild
+++ b/net/www/gnash/gnash.SlackBuild
@@ -10,13 +10,13 @@
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
#
# slackbuild for gnash, by Rudson R. Alves
-# requires:
-# tested: gnash-0.8.2
+# requires: agg boost ffmpeg
+# tested: gnash-0.8.3
#
# Look for slackbuildrc
@@ -31,7 +31,7 @@ CWD="$(pwd)"
SRC_NAME="gnash"
PKG_NAME="gnash"
ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=0.8.2}
+SRC_VERSION=${VERSION:=0.8.3}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rra}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -40,8 +40,8 @@ PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_WORK="$TMP/$SRC_NAME"
-CONF_OPTIONS=${CONF_OPTIONS:="--sysconfdir=/etc --with-plugindir=$LIBDIR/mozilla/plugins --x-libraries=$LIBDIR"}
-NUMJOBS=${NUMJOBS:="-j4"}
+CONF_OPTIONS=${CONF_OPTIONS:="--sysconfdir=/etc --with-plugindir=$LIBDIR/mozilla/plugins --x-libraries=$LIBDIR --enable-nspr --enable-media=ffmpeg --with-ffmpeg-incl=/usr/include --with-nspr-incl=/usr/include/seamonkey/nspr --with-nspr-lib=/usr/lib/seamonkey --with-boost-incl=/usr/include/boost/boost "}
+NUMJOBS=${NUMJOBS:="-j3"}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -55,8 +55,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
+ SLKCFLAGS="-O2 -fPIC"
LIBDIR="$PREFIX/lib64"
+ LDFLAGS="-L/lib64 -L/usr/lib64"
fi
# Set error codes (used by createpkg)
@@ -77,7 +78,7 @@ mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
# Dowload source if necessary
SRC="$SRC_NAME-$VERSION.tar.bz2"
-URL="ftp://mirrors.kernel.org/gnu/gnash/0.8.2/$SRC"
+URL="ftp://mirrors.kernel.org/gnu/gnash/0.8.3/$SRC"
if [ ! -s "$SRC_DIR/$SRC" ] || ! bunzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
@@ -86,9 +87,41 @@ fi
# Untar
cd "$PKG_WORK"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
-PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $8 }'`"
+PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $NF }'`"
cd "$PKG_SRC"
+# Patch source
+patches="
+ $PKG_NAME.diff $PKG_NAME-$PKG_VERSION.diff
+ $PKG_NAME-$PKG_VERSION-$ARCH.diff $PKG_NAME-$ARCH.diff"
+for patch in $patches; do
+ if [ -f "$CWD/$patch" ]; then
+ patch -Np0 < "$CWD/$patch" || exit $ERROR_PATCH
+ elif [ -f "$CWD/patches/$patch" ]; then
+ patch -Np0 < "$CWD/patches/$patch" || exit $ERROR_PATCH
+ elif [ -f "$CWD/$patch.gz" ]; then
+ gzip -dc "$CWD/$patch.gz" | patch -Np0 || exit $ERROR_PATCH
+ elif [ -f "$CWD/patches/$patch.gz" ]; then
+ gzip -dc "$CWD/patches/$patch.gz" | patch -Np0 || exit $ERROR_PATCH
+ fi
+done
+
+if echo [[PATCH URLS]] | grep -q -v "PATCH URLS"; then
+ for patch_url in [[PATCH URLS]]; do
+ patch="`basename $patch_url`"
+ if [ ! -s "$SRC_DIR/$patch" ]; then
+ wget "$patch_url" -O "$SRC_DIR/$patch" || exit $ERROR_WGET
+ fi
+ if [ "`basename $patch .gz`" != "$patch" ]; then
+ gzip -dc $SRC_DIR/$patch | patch -Np0 || exit $ERROR_PATCH
+ elif [ "`basename $patch .bz2`" != "$patch" ]; then
+ bzip2 -dc $SRC_DIR/$patch | patch -Np0 || exit $ERROR_PATCH
+ else
+ patch -Np0 < "$SRC_DIR/$patch" || exit $ERROR_PATCH
+ fi
+ done
+fi
+
# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -110,7 +143,7 @@ make install DESTDIR="$PKG" || exit $ERROR_INSTALL
)
# Install documentation
-DOCS="ABOUT-NLS AUTHORS COPYING ChangeLog ChangeLog-0.8.0 ChangeLog-0.8.1 INSTALL NEWS README TODO"
+DOCS="ABOUT-NLS AUTHORS COPYING ChangeLog ChangeLog-0.8.0 ChangeLog-0.8.1 ChangeLog-0.8.2 ChangeLog-0.8.3 INSTALL NEWS README TODO"
mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
for doc in $DOCS; do
if [ -f "$doc" ]; then
@@ -122,9 +155,9 @@ done
mkdir -p "$PKG/install" || exit $ERROR_MKDIR
cat << EODESC > "$PKG/install/slack-desc"
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
+# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
diff --git a/net/www/gnash/slack-required b/net/www/gnash/slack-required
new file mode 100644
index 00000000..28c07572
--- /dev/null
+++ b/net/www/gnash/slack-required
@@ -0,0 +1,6 @@
+# Dependency list to gnash
+#
+# dependency [condition] [version]]
+agg
+boost
+ffmpeg
diff --git a/net/www/mplayerplug-in/mplayerplug-in.SlackBuild b/net/www/mplayerplug-in/mplayerplug-in.SlackBuild
index 6afe3d0d..0dbdc797 100755
--- a/net/www/mplayerplug-in/mplayerplug-in.SlackBuild
+++ b/net/www/mplayerplug-in/mplayerplug-in.SlackBuild
@@ -1,144 +1,185 @@
#!/bin/bash
#
-# mplayerplug-in.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# mplayerplug-in.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
#
-# mplayerplug-in.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# mplayerplug-in.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
#
-# slackbuild script for mplayerplug-in
-# by rhatto at riseup.net
+# slackbuild for mplayerplug-in, by Silvio Rhatto
+# requires:
+# tested: mplayerplug-in-3.55
#
-if [ -s "slack-required" ]; then
- echo Recomended and required packages for building mplayerplug-in are:
- cat slack-required | sed -e 's/^/\t/'
- if [ "$INTERACT" != "no" ]; then
- echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
- read crap
-# else
-# echo Sleeping 3 seconds...
-# sleep 3
- fi
-fi
-
-CWD="`pwd`"
-
+# Look for slackbuildrc
if [ -f ~/.slackbuildrc ]; then
source ~/.slackbuildrc
elif [ -f /etc/slackbuildrc ]; then
source /etc/slackbuildrc
fi
-# default settings
-PACKAGE="mplayerplug-in"
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="mplayerplug-in"
+PKG_NAME="mplayerplug-in"
ARCH=${ARCH:=i486}
-VERSION=${VERSION:=3.31}
+SRC_VERSION=${VERSION:=3.55}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rha}
-SRC_DIR=${SRC:=$CWD}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
-GECKO_VERSION=${GECKO_VERSION:=1.7.13}
-
-if [ "$ARCH" == "x86_64" ]; then
- export LDFLAGS="-L/lib64 -L/usr/lib64"
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
+PREFIX=${PREFIX:=/usr}
+PKG_WORK="$TMP/$SRC_NAME"
+CONF_OPTIONS=${CONF_OPTIONS:="--sysconfdir=/etc --localstatedir=/var --enable-gmp"}
+NUMJOBS=${NUMJOBS:=""}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIR="$PREFIX/lib64"
+ LDFLAGS="-L/lib64 -L/usr/lib64"
fi
-# ------- error codes for createpkg --------------
+# Set error codes (used by createpkg)
ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
-RTOOL="wget"
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://easynews.dl.sourceforge.net/sourceforge/$PACKAGE/$SRC"
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_WORK" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
-GECKO="gecko-sdk-i686-pc-linux-gnu-$GECKO_VERSION.tar.gz"
-GECKO_URL="http://releases.mozilla.org/pub/mozilla.org/mozilla/releases/mozilla1.7.13/gecko-sdk-i686-pc-linux-gnu-1.7.13.tar.gz"
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
+# Dowload source if necessary
+SRC="$SRC_NAME-$VERSION.tar.gz"
+URL="http://downloads.sourceforge.net/mplayerplug-in/$SRC"
-if [ "$RTOOL" == "wget" ]; then
- if [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
- fi
- if [ ! -f "$SRC_DIR/$GECKO" ]; then
- wget "$GECKO_URL" -O "$SRC_DIR/$GECKO" || exit $ERROR_WGET
- fi
+if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-
-tar xvf $SRC_DIR/$GECKO || exit $ERROR_TAR
-
-tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $PACKAGE
+# Untar
+cd "$PKG_WORK"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $NF }'`"
+cd "$PKG_SRC"
+
+# Patch source
+patches="
+ $PKG_NAME.diff $PKG_NAME-$PKG_VERSION.diff
+ $PKG_NAME-$PKG_VERSION-$ARCH.diff $PKG_NAME-$ARCH.diff"
+for patch in $patches; do
+ if [ -f "$CWD/$patch" ]; then
+ patch -Np1 < "$CWD/$patch" || exit $ERROR_PATCH
+ elif [ -f "$CWD/patches/$patch" ]; then
+ patch -Np1 < "$CWD/patches/$patch" || exit $ERROR_PATCH
+ elif [ -f "$CWD/$patch.gz" ]; then
+ gzip -dc "$CWD/$patch.gz" | patch -Np1 || exit $ERROR_PATCH
+ elif [ -f "$CWD/patches/$patch.gz" ]; then
+ gzip -dc "$CWD/patches/$patch.gz" | patch -Np1 || exit $ERROR_PATCH
+ fi
+done
-if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
- patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
+if echo [[PATCH URLS]] | grep -q -v "PATCH URLS"; then
+ for patch_url in [[PATCH URLS]]; do
+ patch="`basename $patch_url`"
+ if [ ! -s "$SRC_DIR/$patch" ]; then
+ wget "$patch_url" -O "$SRC_DIR/$patch" || exit $ERROR_WGET
+ fi
+ if [ "`basename $patch .gz`" != "$patch" ]; then
+ gzip -dc $SRC_DIR/$patch | patch -Np1 || exit $ERROR_PATCH
+ elif [ "`basename $patch .bz2`" != "$patch" ]; then
+ bzip2 -dc $SRC_DIR/$patch | patch -Np1 || exit $ERROR_PATCH
+ else
+ patch -Np1 < "$SRC_DIR/$patch" || exit $ERROR_PATCH
+ fi
+ done
fi
-./configure --prefix=/usr --libdir=$LIBDIR --with-gecko-sdk=../gecko-sdk || exit $ERROR_CONF
-make || exit $ERROR_MAKE
-make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
-
-CWD="`pwd`"
-
-cd $TMP/package-$PACKAGE
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="ChangeLog DOCS LICENSE README"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+for doc in $DOCS; do
+ if [ -f "$doc" ]; then
+ cp -a $doc "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+ fi
+done
-mkdir install
-cat << EOF > install/slack-desc
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
+# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler-----------------------------------------------------|
-mplayerplug-in: mplayerplug-in
-mplayerplug-in:
-mplayerplug-in:
-mplayerplug-in:
+ |-----handy-ruler-----------------------------------------------|
+mplayerplug-in: mplayerplug-in (browser plugin to play media from websites)
mplayerplug-in:
+mplayerplug-in: This plug-in gives Mozilla the ability to play media from a website
+mplayerplug-in: the net without reading the source html and getting the url manually.
+mplayerplug-in: Media is played embedded in the page or in a separate window depending
+mplayerplug-in: on how the author of the webpage intended the media to be seen.
mplayerplug-in:
mplayerplug-in:
mplayerplug-in:
mplayerplug-in:
mplayerplug-in:
-mplayerplug-in:
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-
-DOCS="ChangeLog DOCS INSTALL LICENSE README"
+EODESC
-for file in $DOCS; do
- cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
-done
-
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+# Delete source and build directories if requested
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
+ rm -rf "$PKG_WORK" "$PKG"
fi
-